ChangeSet 1.1991, 2004/09/29 13:12:09-07:00, akpm@osdl.org

[PATCH] module.h build fix

From: Ingo Molnar <mingo@elte.hu>

Forward-declare the structures before using them, rather than relying on
previous inclusions.

akpm: The breakage was introduced by bk-driver-core.patch

Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 include/linux/module.h |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)


diff -Nru a/include/linux/module.h b/include/linux/module.h
--- a/include/linux/module.h	2004-10-19 09:20:46 -07:00
+++ b/include/linux/module.h	2004-10-19 09:20:46 -07:00
@@ -540,11 +540,14 @@
 {
 }
 
-static inline void module_add_driver(struct module *, struct device_driver *)
+struct device_driver;
+struct module;
+
+static inline void module_add_driver(struct module *module, struct device_driver *driver)
 {
 }
 
-static inline void module_remove_driver(struct device_driver *)
+static inline void module_remove_driver(struct device_driver *driver)
 {
 }
 
